ONVIF::Analytics::Elements::GetSupportedRules(3)

NAME
ONVIF::Analytics::Elements::GetSupportedRules

DESCRIPTION
Perl data type class for the XML Schema defined element GetSupportedRules from the namespace http://www.onvif.org/ver20/analytics/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ConfigurationToken

     $element->set_ConfigurationToken($data);
     $element->get_ConfigurationToken();

METHODS

  new
 my $element = ONVIF::Analytics::Elements::GetSupportedRules->new($data);

Constructor. The following data structure may be passed to new():

 {
   ConfigurationToken => $some_value, # ReferenceToken
 },

AUTHOR
Generated by SOAP::WSDL